API ReferenceChat Widgets
Update chat widget
Update widget settings and appearance.
Authorization
sessionAuth AuthorizationBearer <token>
NextAuth session token
In: header
Path Parameters
orgId*string
Format
uuidid*string
Format
uuidRequest Body
application/json
name?string
assistantId?string
Format
uuidallowedDomains?array<>
position?string
primaryColor?string
textColor?string
welcomeMessage?string
enableTextChat?boolean
enableVoiceCall?boolean
status?string
Value in
"active" | "inactive"Response Body
application/json
curl -X PATCH "https://platform.autophone.org/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/widgets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "primaryColor": "#FF6B35", "welcomeMessage": "Welcome to our support!", "enableVoiceCall": false }'{
"widget": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"assistantId": "bb8c7fe3-2157-48a3-a0a7-af503b091988",
"name": "string",
"allowedDomains": [],
"position": "bottom-left",
"primaryColor": "#6366f1",
"textColor": "#ffffff",
"welcomeMessage": "Hi! How can I help you today?",
"enableTextChat": true,
"enableVoiceCall": true,
"status": "active",
"createdAt": "2019-08-24T14:15:22Z"
}
}Empty
Empty
Empty